• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other Pie Elite all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Jeanne Boyarsky
  • Ron McLeod
  • Paul Clapham
  • Liutauras Vilda
Sheriffs:
  • paul wheaton
  • Rob Spoor
  • Devaka Cooray
Saloon Keepers:
  • Stephan van Hulst
  • Tim Holloway
  • Carey Brown
  • Frits Walraven
  • Tim Moores
Bartenders:
  • Mikalai Zaikin

Having problems upgrading to hibernate 3.6

 
Ranch Hand
Posts: 96
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
I actually posted this same question on the hibernate forums, but also posting here in case someone here can help.

So I am trying to upgrade to Hibernate 3.6.0 (from 3.5.2). I'm using JBoss 4.2, Spring 2.1, and the code contains a combination of hbm files and annotations and makes reference to ehcache as well. I can upgrade spring by the way, but I'd prefer not to just yet if I didn't have to.

Anyway, I seem to be unable to find the right combination of hibernate jars right now. The closest I came was with these:I may not need all of those but JBoss seems to start without error with that combination. However my unit tests fail on save operations with this stack trace:At this point I started trying varying combinations of jars. Namely I tried upgrading to hibernate-validator-4.0.1.Final, but no matter what, I always seem to run into this error when starting up JBoss now:I have no idea where org.hibernate.validator.ClassValidator is nor do I know who is requiring it.

Currently I am at a loss. Is this a jar dependency issue? If so, what jars do I need? If not, should I make any code changes? Any help would be greatly appreciated on this issue.
 
Ra Carter
Ranch Hand
Posts: 96
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
So the problem was with JBoss 4.2.3, which includes incompatible versions of hibernate in jboss/server/default/lib. Removing them resolved the issue.
 
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
I solved this problem adding this two properties in my hibernate config.

 
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Victor Lindberg your answer worked for me. Thank you
 
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
I encounter this problem recently, I resolved this problem by adding "hibernate-validator-3.1.0.ga.jar" into classpath, and it works fine.
 
Get me the mayor's office! I need to tell her about this tiny ad:
a bit of art, as a gift, the permaculture playing cards
https://gardener-gift.com
reply
    Bookmark Topic Watch Topic
  • New Topic